---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_Firelands = LibStub("AceAddon-3.0"):NewAddon("BT_Firelands","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_Firelands")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["Firelands"], --instance name
		["version"] = 1.2, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_Firelands", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "4.2", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Shannox"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Shannox"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Shannox"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Shannox"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_shannox",
                            ["btnId"] = 6, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
								{
									["y"] = -181.0000286241952,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 275.9999142037455,
								}, -- [1]
								{
									["y"] = -213.0000164112053,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 296.0000824376822,
								}, -- [2]
								{
									["y"] = -198.9999826728205,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 196.000081521708,
								}, -- [3]
								{
									["y"] = -357.000117779022,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 431.9999132877712,
								}, -- [4]
								{
									["y"] = -338.9999292409894,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 420.0000351123462,
								}, -- [5]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -212.0000754152131,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 211.9998995481575,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -203.999922142189,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 304.000020762083,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Beth'tilac"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Beth'tilac"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Beth'tilac"],} }, --optional
                    ["ratext"] = L["ra-Beth'tilac"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 16,
                            ["buttons"] = {
								{
									["y"] = -264.0000555691044,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 161.9999577125223,
								}, -- [1]
								{
									["y"] = -239.9999084025753,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 170.9999933591867,
								}, -- [2]
								{
									["y"] = -275.9999728260974,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 399.9999645823291,
								}, -- [3]
								{
									["y"] = -292.9999077155946,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 149.9999916035694,
								}, -- [4]
								{
									["y"] = -374.0000917500871,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 239.999986565711,
								}, -- [5]
								{
									["y"] = -344.9998878694859,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 239.0000455697188,
								}, -- [6]
								{
									["y"] = -294.0000050378584,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 384.000009770392,
								}, -- [7]
								{
									["y"] = -237.0000072514628,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 155.9999795432418,
								}, -- [8]
								{
									["y"] = -244.0001413653588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 140.0000247313047,
								}, -- [9]
								{
									["y"] = -250.0000218307196,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 183.9999493160917,
								}, -- [10]
								{
									["y"] = -260.0001352588639,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 193.000024044324,
								}, -- [11]
								{
									["y"] = -362.0000572483905,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 231.0000486229663,
								}, -- [12]
								{
									["y"] = -359.000156097278,
									["x"] = 250.9999628267118,
									["type"] = "h",
									["caption"] = " ",
								}, -- [13]
								{
									["y"] = -374.9999936645115,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 262.9999777876245,
								}, -- [14]
								{
									["y"] = -376.0000519052073,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 227.9999911455823,
								}, -- [15]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Magmatron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Magmatron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 16,
                            ["buttons"] = {
								{
									["y"] = -276.9998356589538,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 121.0000222123755,
								}, -- [1]
								{
									["y"] = -271.9999157303693,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 160.0000366389699,
								}, -- [2]
								{
									["y"] = -256.9999996183441,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 145.0000521342009,
								}, -- [3]
								{
									["y"] = -268.9999754976889,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 382.999990611264,
								}, -- [4]
								{
									["y"] = -292.9999858787303,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 153.0000002289936,
								}, -- [5]
								{
									["y"] = -371.0000342727031,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 266.0000938873604,
								}, -- [6]
								{
									["y"] = -383.0000687743997,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 259.0000965589519,
								}, -- [7]
								{
									["y"] = -255.0000394632238,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 173.0000121366588,
								}, -- [8]
								{
									["y"] = -270.0000728199527,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 182.0000087017554,
								}, -- [9]
								{
									["y"] = -288.9999874053541,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 371.9998971055596,
								}, -- [10]
								{
									["y"] = -312.0000372496194,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 134.0000270212403,
								}, -- [11]
								{
									["y"] = -311.0000376312754,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 178.9999707651553,
								}, -- [12]
								{
									["y"] = -286.0001253358095,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 202.0000010686366,
								}, -- [13]
								{
									["y"] = -243.0001222062308,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 198.9999240504687,
								}, -- [14]
								{
									["y"] = -233.0000869412223,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 157.0000573247216,
								}, -- [15]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Toxitron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Toxitron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Poison Bomb"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 13,
                            ["buttons"] = {
								{
									["y"] = -311.0000767128432,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 211.000056256085,
								}, -- [1]
								{
									["y"] = -292.9999077155946,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 222.0000129763018,
								}, -- [2]
								{
									["y"] = -288.0000659501458,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 239.999986565711,
								}, -- [3]
								{
									["y"] = -257.0001364038317,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.0000015266238,
								}, -- [4]
								{
									["y"] = -285.0000280135457,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 405.9999622923935,
								}, -- [5]
								{
									["y"] = -335.0000089307489,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 198.0000025952604,
								}, -- [6]
								{
									["y"] = -276.0000509892331,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 254.9999417593041,
								}, -- [7]
								{
									["y"] = -302.0000019846109,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 396.0000051905207,
								}, -- [8]
								{
									["y"] = -263.9999774059685,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 273.0000130526331,
								}, -- [9]
								{
									["y"] = -263.9999774059685,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 235.0000275555586,
								}, -- [10]
								{
									["y"] = -295.0000241969864,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 272.9999935118491,
								}, -- [11]
								{
									["y"] = -277.9999916035694,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 288.9999287830023,
								}, -- [12]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Arcanotron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Arcanotron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Power Generator"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 24,
                            ["buttons"] = {
								{
									["y"] = -277.9999916035694,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 192.9999849627561,
								}, -- [1]
								{
									["y"] = -260.0001352588639,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 468.9999577888534,
								}, -- [2]
								{
									["y"] = -301.0000414478347,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 178.9999903059392,
								}, -- [3]
								{
									["y"] = -372.0001315949669,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 290.0000065644821,
								}, -- [4]
								{
									["y"] = -429.0000902997946,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 115.0000342727031,
								}, -- [5]
								{
									["y"] = -268.0000540424806,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.9999573308663,
								}, -- [6]
								{
									["y"] = -279.0000303034814,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 472.0000543478054,
								}, -- [7]
								{
									["y"] = -250.0000218307196,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 195.0000428217961,
								}, -- [8]
								{
									["y"] = -280.0002057888809,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 228.9999321415745,
								}, -- [9]
								{
									["y"] = -434.0000688507309,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 222.0000715986537,
								}, -- [10]
								{
									["y"] = -386.9999890846402,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 296.9999648113227,
								}, -- [11]
								{
									["y"] = -369.9999760320072,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 168.9999941224986,
								}, -- [12]
								{
									["y"] = -378.0001293050312,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 411.9999990840258,
								}, -- [13]
								{
									["y"] = -309.0000188538033,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 353.0000020609421,
								}, -- [14]
								{
									["y"] = -427.9999929775308,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 216.9999367214458,
								}, -- [15]
								{
									["y"] = -378.0001293050312,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 174.0000312957868,
								}, -- [16]
								{
									["y"] = -419.9999960307783,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 111.0000162585429,
								}, -- [17]
								{
									["y"] = -246.0000233573433,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 378.0000120603276,
								}, -- [18]
								{
									["y"] = -316.0001138861314,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 357.9999806118784,
								}, -- [19]
								{
									["y"] = -388.9998710766247,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 420.9999370267705,
								}, -- [20]
								{
									["y"] = -241.0002402142464,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 379.000226627295,
								}, -- [21]
								{
									["y"] = -227.9999911455823,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 300.0000809110586,
								}, -- [22]
								{
									["y"] = -328.9998939759809,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 45.9999922142189,
								}, -- [23]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Electron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Electron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Lord Rhyolith"],
					["displayId"] = 52588,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Lord Rhyolith"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Lord Rhyolith"],} }, --optional
                    ["ratext"] = L["ra-Lord Rhyolith"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 20,
                            ["buttons"] = {
								{
									["y"] = -217.9999558805738,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 258.0000578590399,
								}, -- [1]
								{
									["y"] = -212.0000754152131,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 209.9999980153891,
								}, -- [2]
								{
									["y"] = -250.0001195346393,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 108.9999779402869,
								}, -- [3]
								{
									["y"] = -257.0001364038317,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 258.0000578590399,
								}, -- [4]
								{
									["y"] = -173.9999726734349,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 69.00005671407214,
								}, -- [5]
								{
									["y"] = -176.9999715284671,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 258.9999597734643,
								}, -- [6]
								{
									["y"] = -215.0000547294613,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 305.9999809172032,
								}, -- [7]
								{
									["y"] = -266.0000938873604,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 45.99997267343495,
								}, -- [8]
								{
									["y"] = -312.9999782456116,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 172.999953514307,
								}, -- [9]
								{
									["y"] = -331.0000886205085,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 297.0001015968103,
								}, -- [10]
								{
									["y"] = -274.0000908341129,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 399.0000626679048,
								}, -- [11]
								{
									["y"] = -184.9999684752197,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 401.0000619045929,
								}, -- [12]
								{
									["y"] = -413.0000573247216,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 156.9999987023698,
								}, -- [13]
								{
									["y"] = -417.00001671653,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 301.0000805294026,
								}, -- [14]
								{
									["y"] = -379.0000703010235,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 41.00000389289055,
								}, -- [15]
								{
									["y"] = -366.0000948033346,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 222.0000325170858,
								}, -- [16]
								{
									["y"] = -411.9999990840258,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 409.9999998473376,
								}, -- [17]
								{
									["y"] = -343.0000840406372,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 414.0001155654176,
								}, -- [18]
								{
									["y"] = -206.9999991603569,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 479.0001102985656,
								}, -- [19]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Fragment\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -211.9999972520773,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 257.9999796959042,
								}, -- [1]
								{
									["y"] = -240.0001428919826,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 259.9999398510244,
								}, -- [2]
								{
									["y"] = -235.9999880923348,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 241.000044806407,
								}, -- [3]
								{
									["y"] = -259.0001160997359,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.9999831308076,
								}, -- [4]
								{
									["y"] = -259.0000183958161,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 271.0000138159449,
								}, -- [5]
								{
									["y"] = -233.0000869412223,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 283.0000092360737,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Spark\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 15,
                            ["buttons"] = {
								{
									["y"] = -367.0000357993268,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 252.0000015266238,
								}, -- [1]
								{
									["y"] = -405.9998841292577,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.0000015266238,
								}, -- [2]
								{
									["y"] = -441.0001248014912,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 251.0000019082797,
								}, -- [3]
								{
									["y"] = -382.9999515296961,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 236.0000271739027,
								}, -- [4]
								{
									["y"] = -362.9999982443827,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 189.0000060301638,
								}, -- [5]
								{
									["y"] = -441.9998313080761,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 184.9999880160036,
								}, -- [6]
								{
									["y"] = -347.0000043508777,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 255.9999218368642,
								}, -- [7]
								{
									["y"] = -382.0000496152717,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 271.9999548119371,
								}, -- [8]
								{
									["y"] = -309.0002142616427,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 255.0000003816559,
								}, -- [9]
								{
									["y"] = -363.0001545706543,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 321.0000533554999,
								}, -- [10]
								{
									["y"] = -370.0000932767109,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 235.9999490107669,
								}, -- [11]
								{
									["y"] = -370.0001323582787,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 271.0000724382967,
								}, -- [12]
								{
									["y"] = -481.0001876983895,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 253.0000988488875,
								}, -- [13]
								{
									["y"] = -438.9999692385316,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 320.9999556515802,
								}, -- [14]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"25% Burn\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Aberration"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Alysrazor"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Alysrazor"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Alysrazor"],} }, --optional
                    ["ratext"] = L["ra-Alysrazor"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 22,
                            ["buttons"] = {
								{
									["y"] = -207.2149024548352,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 220.9259465358136,
								}, -- [1]
								{
									["y"] = -120.9333944532888,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 176.8741475787053,
								}, -- [2]
								{
									["y"] = -171.1852396264935,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 158.7851121800341,
								}, -- [3]
								{
									["y"] = -156.9630047602306,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 249.296238544539,
								}, -- [4]
								{
									["y"] = -185.4074744927565,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 248.7850302521212,
								}, -- [5]
								{
									["y"] = -233.7629995080906,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 156.8889495863632,
								}, -- [6]
								{
									["y"] = -287.8074499827698,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 177.7482437302066,
								}, -- [7]
								{
									["y"] = -149.3777941572815,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [8]
								{
									["y"] = -202.4741283208587,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 342.7260841446168,
								}, -- [9]
								{
									["y"] = -271.6889299729029,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -228.0740390344789,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 102.9184842570181,
								}, -- [11]
								{
									["y"] = -306.7703539402095,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 253.6740722980321,
								}, -- [12]
								{
									["y"] = -243.2444427332437,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 394.947866971227,
								}, -- [13]
								{
									["y"] = -183.5111718420192,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 389.2592041188814,
								}, -- [14]
								{
									["y"] = -112.3999975107045,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 357.0222691419473,
								}, -- [15]
								{
									["y"] = -109.555508520332,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 288.7554437439388,
								}, -- [16]
								{
									["y"] = -153.1703294302228,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 105.7628682045908,
								}, -- [17]
								{
									["y"] = -300.1333296768956,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 114.2962651471752,
								}, -- [18]
								{
									["y"] = -204.3702208859964,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 278.7628447477677,
								}, -- [19]
								{
									["y"] = -181.6148691912819,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 283.5036538960108,
								}, -- [20]
								{
									["y"] = -183.5111193206193,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 219.0296438850763,
								}, -- [21]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ground Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Alysrazor"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -138.9483046495595,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 210.9334000610425,
								}, -- [1]
								{
									["y"] = -148.4296778461795,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 167.3925292822192,
								}, -- [2]
								{
									["y"] = -266.0002671205573,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 326.6074765990834,
								}, -- [3]
								{
									["y"] = -267.8962371357619,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 226.103786252674,
								}, -- [4]
								{
									["y"] = -159.8074237220699,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 333.2445708909305,
								}, -- [5]
								{
									["y"] = -223.3332473933691,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 151.2000066198848,
								}, -- [6]
								{
									["y"] = -198.6815230193841,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.8591904687884,
								}, -- [7]
								{
									["y"] = -284.9629784995306,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 150.3259804969167,
								}, -- [8]
								{
									["y"] = -313.4075532748563,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 282.1184194806249,
								}, -- [9]
								{
									["y"] = -273.5852326236402,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 390.2077406011827,
								}, -- [10]
								{
									["y"] = -212.903810407047,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 328.5775893238218,
								}, -- [11]
								{
									["y"] = -135.1555592910185,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 289.7038226620403,
								}, -- [12]
								{
									["y"] = -199.6296393304862,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 101.0223479240472,
								}, -- [13]
								{
									["y"] = -261.2593004081145,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 101.0221816062809,
								}, -- [14]
								{
									["y"] = -196.7851503401137,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 189.2000447799644,
								}, -- [15]
								{
									["y"] = -195.8368939719452,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 384.5184124777716,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Flight Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L["DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Baleroc"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Baleroc"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Baleroc"],} }, --optional
                    ["ratext"] = L["ra-Baleroc"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 22,
                            ["buttons"] = {
								{
									["y"] = -222.0000325170858,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 274.000051752545,
								}, -- [1]
								{
									["y"] = -283.0000287768576,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 206.0000777051486,
								}, -- [2]
								{
									["y"] = -378.0000902234634,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 246.0000624389112,
								}, -- [3]
								{
									["y"] = -183.9999102345238,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 354.000060301638,
								}, -- [4]
								{
									["y"] = -484.000088849502,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 45.00000725146279,
								}, -- [5]
								{
									["y"] = -301.0001391517544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 352.0000219833819,
								}, -- [6]
								{
									["y"] = -176.000010991691,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 347.0000043508777,
								}, -- [7]
								{
									["y"] = -196.0000033585722,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.0000014502926,
								}, -- [8]
								{
									["y"] = -188.0000845749555,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 206.9999991603569,
								}, -- [9]
								{
									["y"] = -161.9998795493865,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 272.0000525158569,
								}, -- [10]
								{
									["y"] = -157.9999006167942,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 267.0000153425686,
								}, -- [11]
								{
									["y"] = -372.0001315949669,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 123.0000116786717,
								}, -- [12]
								{
									["y"] = -400.9999055783213,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 339.0000074041251,
								}, -- [13]
								{
									["y"] = -480.0001294576936,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 210.9999780929493,
								}, -- [14]
								{
									["y"] = -474.0000926660613,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 382.9999515296961,
								}, -- [15]
								{
									["y"] = -410.9999408433299,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 439.0000474016673,
								}, -- [16]
								{
									["y"] = -340.0001047263889,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 465.0001156417487,
								}, -- [17]
								{
									["y"] = -343.000162203773,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 30.00000809110585,
								}, -- [18]
								{
									["y"] = -284.0001065583375,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 100.0000399975421,
								}, -- [19]
								{
									["y"] = -259.9999789325923,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 463.0000382419248,
								}, -- [20]
								{
									["y"] = -216.9999367214458,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 57.99999251954365,
								}, -- [21]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 6,
                            ["buttons"] = {
								{
									["y"] = -209.0001742641006,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 277.9999329812176,
								}, -- [1]
								{
									["y"] = -302.9999234398192,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 270.9999551935931,
								}, -- [2]
								{
									["y"] = -286.0001253358095,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 265.0000551874484,
								}, -- [3]
								{
									["y"] = -318.9999368741081,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.0000183958161,
								}, -- [4]
								{
									["y"] = -314.0000755678754,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 286.999988168666,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Majordomo Staghelm"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Majordomo Staghelm"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Majordomo Staghelm"],} }, --optional
                    ["ratext"] = L["ra-Majordomo Staghelm"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [9]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [10]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [11]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [12]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [2]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [3]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [4]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [5]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [6]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [7]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Ragnaros"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Ragnaros"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ragnaros"],} }, --optional
                    ["ratext"] = L["ra-Ragnaros"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ragnaros"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ragnaros"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
            --the next mode could start here
			["mode25hc"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Shannox"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Shannox"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Shannox"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Shannox"],} }, --optional
                    
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                    
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -212.0000754152131,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 211.9998995481575,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -203.999922142189,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 304.000020762083,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Beth'tilac"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Beth'tilac"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Beth'tilac"],} }, --optional
                    ["ratext"] = L["ra-Beth'tilac"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Magmatron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Magmatron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Toxitron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Toxitron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Poison Bomb"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Arcanotron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Arcanotron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Power Generator"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Electron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Electron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Lord Rhyolith"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Lord Rhyolith"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Lord Rhyolith"],} }, --optional
                    ["ratext"] = L["ra-Lord Rhyolith"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Fragment\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Spark\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"25% Burn\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Aberration"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Alysrazor"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Alysrazor"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Alysrazor"],} }, --optional
                    ["ratext"] = L["ra-Alysrazor"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 1,
                            ["buttons"] = {
								
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ground Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Alysrazor"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 1,
                            ["buttons"] = {
								
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Flight Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L["DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Baleroc"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Baleroc"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Baleroc"],} }, --optional
                    ["ratext"] = L["ra-Baleroc"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Majordomo Staghelm"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Majordomo Staghelm"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Majordomo Staghelm"],} }, --optional
                    ["ratext"] = L["ra-Majordomo Staghelm"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Ragnaros"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Ragnaros"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ragnaros"],} }, --optional
                    ["ratext"] = L["ra-Ragnaros"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
			["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Shannox"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Shannox"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Shannox"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Shannox"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 7, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
							{
										["y"] = -314.5554960054672,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 440.9633710422851,
									}, -- [1]
									{
										["y"] = -336.7037003172689,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 459.1482054743848,
									}, -- [2]
									{
										["y"] = -250.4447064891489,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 200.0741629521568,
									}, -- [3]
									{
										["y"] = -218.4443454045245,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 315.7035437788778,
									}, -- [4]
									{
										["y"] = -207.0001249434865,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 232.7777155529884,
									}, -- [5]
									{
										["y"] = -258.962784690094,
										["type"] = "n",
										["caption"] = " ",										
										["x"] = 288.777835367432,
									}, -- [6]
									{
										["y"] = -256.5187888811376,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 358.3702483776666,
									}, -- [7]
									{
										["y"] = -307.4815637234691,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 103.5185850187768,
									}, -- [8]
									{
										["y"] = -319.3334027691772,
										["type"] = "x",
										["caption"] = " ",
										["x"] = 70.25927722484035,
									}, -- [9]
									{
										["y"] = -224.5185503464464,
										["type"] = "y",
										["caption"] = " ",
										["x"] = 278.8148584408079,
									}, -- [10]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Riplimb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Rageface"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -314.5554960054672,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 440.9633710422851,
									}, -- [1]
									{
										["y"] = -336.7037003172689,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 459.1482054743848,
									}, -- [2]
									{
										["y"] = -250.4447064891489,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 200.0741629521568,
									}, -- [3]
									{
										["y"] = -300.4443454045245,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 410.7035437788778,
									}, -- [4]
									{
										["y"] = -207.0001249434865,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 232.7777155529884,
									}, -- [5]
									{
										["y"] = -285.962784690094,
										["type"] = "n",
										["caption"] = " ",										
										["x"] = 425.777835367432,
									}, -- [6]
									{
										["y"] = -256.5187888811376,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 358.3702483776666,
									}, -- [7]
									{
										["y"] = -179.4815199556358,
										["type"] = "x",
										["caption"] = " ",
										["x"] = 143.74079485531,
									}, -- [8]
									{
										["y"] = -196.0741506424537,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 169.8889764625483,
									}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Riplimb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Rageface"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -218.2221273615225,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 383.4074448126945,
									}, -- [1]
									{
										["y"] = -235.1852965246767,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 366.7038189007421,
									}, -- [2]
									{
										["y"] = -255.3333283638606,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 337.111091309206,
									}, -- [3]
									{
										["y"] = -212.6667638221382,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 324.0000692078863,
									}, -- [4]
									{
										["y"] = -203.1854081326516,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 404.5556416702872,
									}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Beth'tilac"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Beth'tilac"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Beth'tilac"],} }, --optional
                    ["ratext"] = L["ra-Beth'tilac"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -238.999967406583,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 168.0000335857224,
								}, -- [1]
								{
									["y"] = -324.9998955026046,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 274.000051752545,
								}, -- [2]
								{
									["y"] = -338.0000664081329,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 263.9999774059685,
								}, -- [3]
								{
									["y"] = -257.0000777814798,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 187.0000458750436,
								}, -- [4]
								{
									["y"] = -237.0000072514628,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 195.0000428217961,
								}, -- [5]
								{
									["y"] = -343.0000840406372,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 283.0000678584255,
								}, -- [6]
								{
									["y"] = -327.0002073918358,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 291.0000257236101,
								}, -- [7]
								{
									["y"] = -245.0001800652708,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 374.9999936645115,
								}, -- [8]
								{
									["y"] = -267.0001325872723,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 388.000086406904,
								}, -- [9]
								{
									["y"] = -282.0001659440011,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.999985344412,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Magmatron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Magmatron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -277.9999916035694,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 180.0000290058512,
								}, -- [1]
								{
									["y"] = -255.0001176263596,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 214.0000160295493,
								}, -- [2]
								{
									["y"] = -257.0000777814798,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 172.0000515998826,
								}, -- [3]
								{
									["y"] = -250.0001390754232,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 154.9999506137218,
								}, -- [4]
								{
									["y"] = -396.0000442720886,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 255.0001176263596,
								}, -- [5]
								{
									["y"] = -382.0001277784075,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 277.0000310667932,
								}, -- [6]
								{
									["y"] = -265.0000551874484,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 127.0000687743997,
								}, -- [7]
								{
									["y"] = -221.0000133579578,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 168.9999941224986,
								}, -- [8]
								{
									["y"] = -244.0000045798712,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 186.9999677119078,
								}, -- [9]
								{
									["y"] = -251.0001191529834,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 378.0000120603276,
								}, -- [10]
								{
									["y"] = -224.9999532089822,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 373.9999354238155,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Toxitron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Toxitron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Poison Bomb"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -298.9999445072269,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 159.0000174798419,
								}, -- [1]
								{
									["y"] = -251.0002168569031,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 197.9999635136925,
								}, -- [2]
								{
									["y"] = -245.0000041982153,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 214.9999961071094,
								}, -- [3]
								{
									["y"] = -279.0000303034814,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 194.9999841994442,
								}, -- [4]
								{
									["y"] = -259.0000183958161,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 217.0000148845815,
								}, -- [5]
								{
									["y"] = -323.9999154250445,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 136.9999477131367,
								}, -- [6]
								{
									["y"] = -260.0000570957281,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 384.0000879335278,
								}, -- [7]
								{
									["y"] = -294.0000050378584,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 205.9999213788771,
								}, -- [8]
								{
									["y"] = -286.0000080911058,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 375.0000327460793,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Arcanotron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Arcanotron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Power Generator"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 13,
                            ["buttons"] = {
								{
									["y"] = -324.9999736657404,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 311.9999590864836,
								}, -- [1]
								{
									["y"] = -365.9999775586309,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 196.000081521708,
								}, -- [2]
								{
									["y"] = -270.0000141976008,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 177.9999711468112,
								}, -- [3]
								{
									["y"] = -234.9999689332068,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 154.9999896952897,
								}, -- [4]
								{
									["y"] = -276.0000509892331,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 428.0000320590987,
								}, -- [5]
								{
									["y"] = -297.0000234336745,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 165.9999757266824,
								}, -- [6]
								{
									["y"] = -406.0001186186651,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 119.9999932828555,
								}, -- [7]
								{
									["y"] = -236.9999095475431,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 219.0000532028375,
								}, -- [8]
								{
									["y"] = -303.0000211437389,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 421.9999561858985,
								}, -- [9]
								{
									["y"] = -401.9999638190172,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 347.9999453468699,
								}, -- [10]
								{
									["y"] = -247.9999053493278,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 313.0000173271795,
								}, -- [11]
								{
									["y"] = -320.0000732779398,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 51.00000496152718,
								}, -- [12]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Electron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Electron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Lord Rhyolith"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Lord Rhyolith"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Lord Rhyolith"],} }, --optional
                    ["ratext"] = L["ra-Lord Rhyolith"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -193.000024044324,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 214.9999765663255,
								}, -- [1]
								{
									["y"] = -406.000068087419,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 365.0000394632238,
								}, -- [2]
								{
									["y"] = -435.0001660203324,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 345.0000519815386,
								}, -- [3]
								{
									["y"] = -180.0000728199527,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.9999789325923,
								}, -- [4]
								{
									["y"] = -220.0000723619656,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 259.9999398510244,
								}, -- [5]
								{
									["y"] = -185.9998899304279,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 305.0000399212109,
								}, -- [6]
								{
									["y"] = -386.9998203927163,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 365.0002097581026,
								}, -- [7]
								{
									["y"] = -430.9999899242833,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 365.0000319827675,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Fragment\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Fragment"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -193.000024044324,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 214.9999765663255,
								}, -- [1]
								{
									["y"] = -406.000068087419,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 175.0000394632238,
								}, -- [2]
								{
									["y"] = -435.0001660203324,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 345.0000519815386,
								}, -- [3]
								{
									["y"] = -180.0000728199527,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.9999789325923,
								}, -- [4]
								{
									["y"] = -220.0000723619656,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 259.9999398510244,
								}, -- [5]
								{
									["y"] = -185.9998899304279,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 305.0000399212109,
								}, -- [6]
								{
									["y"] = -387.0000357993268,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 200.9999352711532,
								}, -- [7]
								{
									["y"] = -430.9999899242833,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 365.0000319827675,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Spark\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Fragment"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 15,
                            ["buttons"] = {
								{
									["y"] = -211.9999972520773,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 257.9999796959042,
								}, -- [1]
								{
									["y"] = -240.0001428919826,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 259.9999398510244,
								}, -- [2]
								{
									["y"] = -235.9999880923348,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 241.000044806407,
								}, -- [3]
								{
									["y"] = -259.0001160997359,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.9999831308076,
								}, -- [4]
								{
									["y"] = -259.0000183958161,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 271.0000138159449,
								}, -- [5]
								{
									["y"] = -233.0000869412223,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 283.0000092360737,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"25% Burn\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Fragment"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Alysrazor"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Alysrazor"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Alysrazor"],} }, --optional
                    ["ratext"] = L["ra-Alysrazor"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -204.3702909145296,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 217.1332712058059,
								}, -- [1]
								{
									["y"] = -250.8297933932593,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 142.740734879701,
								}, -- [2]
								{
									["y"] = -170.2370707939916,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 147.407331289877,
								}, -- [3]
								{
									["y"] = -157.9113311569322,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 243.6074181279937,
								}, -- [4]
								{
									["y"] = -191.0963824449683,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 244.9924949791798,
								}, -- [5]
								{
									["y"] = -185.4073344356901,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 215.2371786406682,
								}, -- [6]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.400081900558,
								}, -- [7]
								{
									["y"] = -265.0517656525227,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0665851673138,
								}, -- [8]
								{
									["y"] = -246.0890192592828,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 323.8370777968449,
								}, -- [9]
								{
									["y"] = -136.1036668485539,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 302.9778886958013,
								}, -- [10]
								{
									["y"] = -124.725859697697,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 176.8741475787053,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ground Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Alysrazor"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -183.5111193206193,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.7334035624691,
								}, -- [1]
								{
									["y"] = -146.533305166909,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 247.0370480347183,
								}, -- [2]
								{
									["y"] = -182.562985502384,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 338.9334088146091,
								}, -- [3]
								{
									["y"] = -260.3111140684793,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.222253741141,
								}, -- [4]
								{
									["y"] = -247.9851118244204,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 158.859202368168,
								}, -- [5]
								{
									["y"] = -202.4742683779251,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 244.1925765514791,
								}, -- [6]
								{
									["y"] = -272.6369587483384,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 339.9556503281117,
								}, -- [7]
								{
									["y"] = -130.414837678442,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 169.2889719900228,
								}, -- [8]
								{
									["y"] = -125.6740460373322,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 324.785194107947,
								}, -- [9]
								{
									["y"] = -232.8148831969886,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 102.9185542855513,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Flight Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L["DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Baleroc"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Baleroc"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Baleroc"],} }, --optional
                    ["ratext"] = L["ra-Baleroc"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -146.0000029005851,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 204.0000198461087,
								}, -- [1]
								{
									["y"] = -247.9999835124636,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 73.00000145029256,
								}, -- [2]
								{
									["y"] = -337.9999100818614,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 277.0000115260093,
								}, -- [3]
								{
									["y"] = -253.9999812225279,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 200.9999819095086,
								}, -- [4]
								{
									["y"] = -213.0001727374768,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 271.999993893505,
								}, -- [5]
								{
									["y"] = -249.0001394570792,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 358.0000587750142,
								}, -- [6]
								{
									["y"] = -140.9999657272969,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 347.0000043508777,
								}, -- [7]
								{
									["y"] = -361.0001553339661,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 137.0000454170564,
								}, -- [8]
								{
									["y"] = -348.0001798362773,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 423.9999945041545,
								}, -- [9]
								{
									["y"] = -436.9999700018434,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 75.99999053493278,
								}, -- [10]
								{
									["y"] = -438.9998910753957,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 366.0000557217667,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 6,
                            ["buttons"] = {
								{
									["y"] = -209.0001742641006,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 277.9999329812176,
								}, -- [1]
								{
									["y"] = -302.9999234398192,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 270.9999551935931,
								}, -- [2]
								{
									["y"] = -286.0001253358095,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 265.0000551874484,
								}, -- [3]
								{
									["y"] = -318.9999368741081,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.0000183958161,
								}, -- [4]
								{
									["y"] = -314.0000755678754,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 286.999988168666,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Majordomo Staghelm"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Majordomo Staghelm"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Majordomo Staghelm"],} }, --optional
                    ["ratext"] = L["ra-Majordomo Staghelm"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Ragnaros"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Ragnaros"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ragnaros"],} }, --optional
                    ["ratext"] = L["ra-Ragnaros"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaroshammer",
                            ["btnId"] = 14,
                            ["buttons"] = {
								{
									["y"] = -223.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 96.555551946229,
								}, -- [1]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 80.0000451355781,
								}, -- [2]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 71.3702674577064,
								}, -- [3]
								{
									["y"] = -326.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 174.5334014561421,
								}, -- [4]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 250.0000451355781,
								}, -- [5]
								{
									["y"] = -335.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 192.4742039571456,
								}, -- [6]
								{
									["y"] = -233.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 256.555551946229,
								}, -- [7]
								{
									["y"] = -316.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 192.9778186672681,
								}, -- [8]
								{
									["y"] = -302.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 167.4518987067357,
								}, -- [9]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 271.3702674577064,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -225.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 429.9113280111192,
								}, -- [1]
								{
									["y"] = -202.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 107.874024686836,
								}, -- [2]
								{
									["y"] = -345.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 126.6221973627008,
								}, -- [3]
								{
									["y"] = -221.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 359.0222281779909,
								}, -- [4]
								{
									["y"] = -225.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 115.651868602673,
								}, -- [5]
								{
									["y"] = -217.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 78.5851769564273,
								}, -- [6]
								{
									["y"] = -382.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 132.9628878180511,
								}, -- [7]
								{
									["y"] = -196.6338887083846,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 379.2904323311343,
								}, -- [8]
								{
									["y"] = -254.6362818514423,										["type"] = "f",
									["caption"] = " ",
									["x"] = 420.6889902220609,
								}, -- [9]
								{
									["y"] = -381.294648951545,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 181.6133460706846,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Seed"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
								{
									["y"] = -245.3037508827938,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 117.9628878180511,
								}, -- [12]
								{
									["y"] = -370.9852933925412,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 420.7339485403804,
								}, -- [13]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Lava Scion"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [6] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blazing Heat"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
						[5] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Ragnaros",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -303.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 365.9113280111192,
								}, -- [1]
								{
									["y"] = -219.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 154.874024686836,
								}, -- [2]
								{
									["y"] = -325.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.6221973627008,
								}, -- [3]
								{
									["y"] = -228.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 320.0222281779909,
								}, -- [4]
								{
									["y"] = -226.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 178.651868602673,
								}, -- [5]
								{
									["y"] = -290.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 146.5851769564273,
								}, -- [6]
								{
									["y"] = -226.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 256.9628878180511,
								}, -- [7]
								{
									["y"] = -233.8828883569425,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 81.50186803163949,
								}, -- [8]
								{
									["y"] = -246.776611919718,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 406.1902476924265,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
			["mode10hc"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Shannox"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Shannox"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Shannox"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Shannox"],} }, --optional
                    
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 1, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                    
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -212.0000754152131,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 211.9998995481575,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Shannox",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
									["y"] = -203.999922142189,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 304.000020762083,
								}, -- [1]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Shannox"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Beth'tilac"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Beth'tilac"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Beth'tilac"],} }, --optional
                    ["ratext"] = L["ra-Beth'tilac"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Magmatron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Magmatron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Toxitron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Toxitron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Poison Bomb"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Arcanotron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Arcanotron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Power Generator"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Beth'tilac",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Electron"].." "..L["active"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Electron"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Second active Add"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Lord Rhyolith"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Lord Rhyolith"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Lord Rhyolith"],} }, --optional
                    ["ratext"] = L["ra-Lord Rhyolith"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Fragment\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Spark\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Lord_Rhyolith",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"25% Burn\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Rhyolith"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Aberration"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Alysrazor"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Alysrazor"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Alysrazor"],} }, --optional
                    ["ratext"] = L["ra-Alysrazor"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 1,
                            ["buttons"] = {
								
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ground Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Alysrazor"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Alysrazor",
                            ["btnId"] = 1,
                            ["buttons"] = {
								
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Flight Phase"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L["DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Baleroc"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Baleroc"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Baleroc"],} }, --optional
                    ["ratext"] = L["ra-Baleroc"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Baleroc",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Baleroc"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Majordomo Staghelm"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Majordomo Staghelm"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Majordomo Staghelm"],} }, --optional
                    ["ratext"] = L["ra-Majordomo Staghelm"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_Majordomo",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Majordomo Staghelm"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Ragnaros"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Ragnaros"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ragnaros"],} }, --optional
                    ["ratext"] = L["ra-Ragnaros"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_Firelands\\Img\\map_ragnaros",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_Firelands:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_FirelandsDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_Firelands:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_Firelands:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;

----------------------------------------------------------
--place here the action button functions if you need them
----------------------------------------------------------


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_Firelands:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_Firelands:OnEnable()
    -- Called when the addon is enabled
end

function BT_Firelands:OnDisable()
    -- Called when the addon is disabled
end